curl --request POST \
--url https://api.doczilla.app/v1/template/{id}/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook": {
"url": "<string>",
"receiveType": "URL",
"method": "POST",
"headers": {},
"metadata": {}
},
"page": {
"url": "<string>",
"html": "<string>",
"htmlTemplate": "<string>",
"templateData": {},
"waitUntil": "auto",
"waitForMilliseconds": 2500,
"headers": {
"x-foo": "bar"
},
"adblock": true,
"javascript": true,
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"url": "<string>",
"path": "<string>",
"secure": true,
"httpOnly": true,
"sameSite": "Strict",
"expires": 123
}
],
"colorScheme": "<string>",
"mediaType": "screen",
"timezone": "<string>"
},
"screenshot": {
"type": "png",
"device": "Macbook Pro 16",
"fullPage": false,
"fromSurface": true,
"omitBackground": false,
"optimizeForSpeed": true,
"quality": 50,
"captureBeyondViewport": false,
"element": "<string>",
"overlay": {
"background": "<string>",
"filter": "none",
"margin": 0.2,
"browser": "light",
"screenshotBorderRadius": 0
}
},
"pdf": {
"scale": 1,
"displayHeaderFooter": false,
"headerHtml": "<string>",
"footerHtml": "<string>",
"printBackground": false,
"landscape": false,
"pageRanges": "1-5",
"format": "letter",
"width": "<string>",
"height": "<string>",
"preferCSSPageSize": false,
"margin": {
"top": "<string>",
"bottom": "<string>",
"left": "<string>",
"right": "<string>"
},
"omitBackground": false,
"outline": false,
"tagged": false
}
}
'